#region Info
/* 
 * Routine originally coded by Apoc and then I tweaked it for me.
  */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using Styx;
using Styx.Common;
using Styx.CommonBot;
using Styx.CommonBot.Routines;
using Styx.Helpers;
using Styx.TreeSharp;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Action = Styx.TreeSharp.Action;
using CommonBehaviors.Actions;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace Tricks
{
    public partial class Routine : CombatRoutine
    {
        public override string Name { get { return "Tricks"; } }
        public override WoWClass Class { get { return WoWClass.Rogue; } }
        public Composite _combat, _buffs;
        public override Composite CombatBehavior { get { return _combat; } }
        public override Composite PreCombatBuffBehavior { get { return _combat; } }
        public override Composite CombatBuffBehavior { get { return _combat; } }

        public override void Initialize()
        {
            
            _buffs = CreateBuffs();

            if (SpellManager.HasSpell("Backstab"))
            {
                _combat = CreateSub();
                Logging.Write("CreateSub()");
            }
            
        }

        Composite CreateBuffs() 
        {
            return new PrioritySelector(
                
            );
        }

        Composite CreateSub()
        {
            return new PrioritySelector(
                Hotkeys(),
                AlwaysStealth(),
                BlindAfterSap(),
                //DisableAutoAttack(),
                //SapStealthy(),
                
                
            #region Defense

                UseHealthstone(),
                Dismantle(),
                Interrupts(),
                Feint(),
                WillOfTheForsaken(),

            #endregion

            #region Offense

                //Tricks(),
                PremeditationSliceandDice(),
                Openers(),
                Finishers(),
                Shiv(),
                Gouge(),
                Backstab(),
                Hemorrhage()

            #endregion
);
        }

    }
}